<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-toolbar color="primary">
  <button mat-icon-button (click)="sidenav.toggle()">
    <mat-icon>menu</mat-icon>
  </button>
  <span id="toolbarTitle">{{'global.title' | translate}}</span>
  <span fxFlex="grow"></span>


  <button id="loginMenuButton" *ngIf="user" mat-icon-button [matMenuTriggerFor]="loginMenu">
    <mat-icon>account_circle</mat-icon>
  </button>
  <mat-menu #loginMenu [overlapTrigger]="false" xPosition="before">
    <mat-card id="loginCard" *ngIf="user" class="login-card">
      <mat-card-content fxLayout fxLayoutGap="2rem">
        <mat-icon class="avatar">account_circle</mat-icon>
        <div fxLayout="column" fxLayoutGap="2rem">
          <div fxLayout fxLayoutGap="2rem">
            <div fxLayout="column">
              <span class="readonly-label">{{'global.login.user' | translate}}</span>
              <span class="readonly-value">{{user.login}}</span>
            </div>
            <div fxLayout="column">
              <span class="readonly-label">{{'global.login.canton' | translate}}</span>
              <span class="readonly-value">{{user.realm}}</span>
            </div>
          </div>
          <div fxLayout="column">
            <span class="readonly-label">{{'global.login.management-entity' | translate}}</span>
            <span class="readonly-value">{{user.managementEntity}}</span>
          </div>
        </div>
      </mat-card-content>
      <mat-divider></mat-divider>

      <mat-card-actions *ngIf="authenticationService.canLogout">
        <div fxLayout fxLayoutAlign="end">
          <button id="logoutButton"
                  fxFlexAlign="end"
                  mat-button
                  color="primary"
                  (click)="logout()">
            <mat-icon>exit_to_app</mat-icon>
            {{"global.actions.logout" | translate | uppercase}}
          </button>
        </div>
      </mat-card-actions>
    </mat-card>
  </mat-menu>

  <button mat-icon-button [matMenuTriggerFor]="languageMenu">
    <mat-icon>language</mat-icon>
  </button>
  <mat-menu #languageMenu [overlapTrigger]="false">
    <button mat-menu-item (click)="switchLang('fr')"> Français</button>
    <button mat-menu-item (click)="switchLang('de')"> Deutsch</button>
  </mat-menu>
</mat-toolbar>

<mat-sidenav-container fxLayout="column" fxFlex="grow">
  <mat-sidenav #sidenav>
    <mat-nav-list (click)="sidenav.close()">
      <a mat-list-item routerLink="/">
        <mat-icon>home</mat-icon>
        {{'dashboard.sidenav' | translate}}
      </a>
      <a mat-list-item routerLink="/admin">
        <mat-icon>settings</mat-icon>
        {{'admin.sidenav' | translate}}
      </a>
    </mat-nav-list>


    <div class="version" *ngIf="version">
      <div class="build-number">
        {{version.buildNumber}}
      </div>
      <div class="build-timestamp">
        {{version.buildTimestamp | date:'dd.MM.yyyy HH:mm'}}
      </div>
    </div>
  </mat-sidenav>
  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
